/****************************************************************************
 * Copyright 2024, Optimizely, Inc. and contributors                        *
 *                                                                          *
 * Licensed under the Apache License, Version 2.0 (the "License");          *
 * you may not use this file except in compliance with the License.         *
 * You may obtain a copy of the License at                                  *
 *                                                                          *
 *    http://www.apache.org/licenses/LICENSE-2.0                            *
 *                                                                          *
 * Unless required by applicable law or agreed to in writing, software      *
 * distributed under the License is distributed on an "AS IS" BASIS,        *
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. *
 * See the License for the specific language governing permissions and      *
 * limitations under the License.                                           *
 ***************************************************************************/
import { OdpEvent } from '../../../core/odp/odp_event';
import { OdpEventApiManager } from '../../../core/odp/odp_event_api_manager';
import { OdpConfig } from '../../../core/odp/odp_config';
export declare class BrowserOdpEventApiManager extends OdpEventApiManager {
    protected shouldSendEvents(events: OdpEvent[]): boolean;
    private getPixelApiEndpoint;
    protected generateRequestData(odpConfig: OdpConfig, events: OdpEvent[]): {
        method: string;
        endpoint: string;
        headers: {
            [key: string]: string;
        };
        data: string;
    };
}
